%define	name	gdk-pixbuf
%define	version	0.5.0
%define	release	1
%define	prefix	/usr

Summary:	The GdkPixBuf image handling library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	LGPL
Group:		System Environment/Libraries
URL:		http://www.gnome.org/
Vendor:		GNOME
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
The GdkPixBuf library provides a number of features:

- Reference counting for libart's ArtPixBuf structure.
- Image loading facilities.
- Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.
- Fast scaling and compositing of pixbufs.
- Simple animation loading (ie. animated gifs)

%package	devel
Summary:	Libraries and include files for developing GdkPixBuf applications.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
Libraries and include files for developing GdkPixBuf applications.

%prep
%setup -q

%build
%configure --prefix=%{prefix}

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%dir %{prefix}/lib/%{name}
%{prefix}/lib/%{name}/loaders/lib*.so

%files devel
%defattr(-, root, root)
%{prefix}/lib/lib*.so
%{prefix}/lib/%{name}/loaders/lib*.a
%{prefix}/lib/*.a
%{prefix}/lib/*.sh
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/share/gnome/html/*

%changelog
* Fri Jan 28 2000 Ryan Weaver <ryanw@infohwy.com>
  [gdk-pivbuf-0.5.0-1]
- Upgraded to version 0.5.0.
- Please See ChangeLog for details.

* Wed Dec 22 1999 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build (Required by eucalyptus 0.1.5)

  [gdk-pivbuf-0.4-1]
- Progressive loading support via GdkPixbufLoader.
- Completely new PNG, JPEG, TIFF, GIF, PNM, XPM, and RAS loaders.
- New GnomeCanvasPixbuf item for the GNOME canvas.
- New convenience functions to render pixbufs to drawables.
- Integrated gtk-doc framework; reference docs are almost finished.

